import {
    appendPopupPage,
    tiggerInjectPopupPage
} from "@/logic/content/twitter.js";
import { createApp } from 'vue'
import ViewMessage from '@/view/content/message/index.vue'
import * as Sentry from "@sentry/vue";
import { BrowserTracing } from "@sentry/tracing";

const addDomMessage = (element) => {
    const div = document.createElement('div')
    div.id = 'denet_message'
    document.body.appendChild(div)
    let app = createApp(element)
    app.mount('#denet_message')
    Sentry.init({
        app,
        dsn: "http://529fc1c357b248eda7473c119093f5db@sentry.denet.me/5",
        integrations: [
            new BrowserTracing({
                tracingOrigins: ["localhost", "my-site-url.com", /^\//],
            }),
        ],
        // Set tracesSampleRate to 1.0 to capture 100%
        // of transactions for performance monitoring.
        // We recommend adjusting this value in production
        tracesSampleRate: 1.0,
    });
}

let timer = setInterval(() => {
    if (document.body) {
        init()
        clearInterval(timer)
    }
}, 1000)

const init = () => {
    // appendPopupPage();
    addDomMessage(ViewMessage)

    chrome.runtime.sendMessage({
        actionType: "CONTENT_WINDOW_LOADED_SET_POPUP_PAGE",
        data: {}
    }, () => { });
}


chrome.runtime.sendMessage({
    actionType: "CONTENT_SET_POPUP_CONFIG",
    data: {
        popup: 'popup.html'
    }
}, () => { });

chrome.runtime.onMessage.addListener((req, sender, sendResponse) => {
    sendResponse('ok')
    switch (req.actionType) {
        case 'BACK_PING':
            chrome.runtime.sendMessage({ actionType: "CONTENT_PONG", data: '1' }, (res) => { console.log(res) })
            break
        case 'BG_INJECT_EXTENSION_POPUP':
            tiggerInjectPopupPage();
            break
    }
})
